Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaMethodBreakpoint

All Superinterfaces:
  IAdaptable, IBreakpoint, IJavaBreakpoint, IJavaLineBreakpoint, ILineBreakpoint

public interface IJavaMethodBreakpoint
extends IJavaLineBreakpoint

A method breakpoint suspends execution when a method is entered or exited.

Clients are not intended to implement this interface.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`SUSPEND_THREAD, SUSPEND_VM`

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Method Summary
`String` | `getMethodName()` Returns the name of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method name.
`String` | `getMethodSignature()` Returns the signature of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend exectution based on method signature.
`String` | `getTypeName()` Returns the pattern specifying the fully qualified name of type(s) this breakpoint suspends execution in.
`boolean` | `isEntry()` Returns whether this breakpoint causes execution to suspend on entry to methods.
`boolean` | `isEntrySuspend(IDebugTarget target)` Returns whether this breakpoint last suspended in the given target due to a method entry (`true`) or exit (`false`).
`boolean` | `isExit()` Returns whether this breakpoint causes execution to suspend on exit of methods.
`boolean` | `isNativeOnly()` Returns whether this breakpoint causes execution to suspend only on entry/exit of native methods.
`void` | `setEntry(boolean entry)` Sets whether this breakpoint causes execution to suspend on entry to methods.
`void` | `setExit(boolean exit)` Sets whether this breakpoint causes execution to suspend on exit of methods.
`void` | `setNativeOnly(boolean nativeOnly)` Sets whether this breakpoint causes execution to suspend only on entry/exit of native methods.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint
`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`addInstanceFilter, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, isInstalled, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint
`getCharEnd, getCharStart, getLineNumber`

Method Detail

### getMethodName

    public String getMethodName()
                         throws CoreException

  Returns the name of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method name.

  Returns:
    the name of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend execution based on method name
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

### getMethodSignature

    public String getMethodSignature()
                              throws CoreException

  Returns the signature of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend exectution based on method signature.

  Returns:
    the signature of the method(s) this breakpoint suspends execution in, or `null` if this breakpoint does not suspend exectution based on method signature
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

### getTypeName

    public String getTypeName()
                       throws CoreException

  Returns the pattern specifying the fully qualified name of type(s) this breakpoint suspends execution in. Patterns are limited to exact matches and patterns that begin or end with '*'.

  Specified by:
    `getTypeName` in interface `IJavaBreakpoint`
  Returns:
    the pattern specifying the fully qualified name of type(s) this breakpoint suspends execution in
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker
  See Also:
    `IJavaBreakpoint.getTypeName()`

### isEntry

    public boolean isEntry()
                    throws CoreException

  Returns whether this breakpoint causes execution to suspend on entry to methods.

  Returns:
    whether this breakpoint causes execution to suspend on entry to methods
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

### isExit

    public boolean isExit()
                   throws CoreException

  Returns whether this breakpoint causes execution to suspend on exit of methods.

  Returns:
    whether this breakpoint causes execution to suspend on exit of methods
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

### setEntry

    public void setEntry(boolean entry)
                  throws CoreException

  Sets whether this breakpoint causes execution to suspend on entry to methods.

  Parameters:
    `entry` - whether this breakpoint causes execution to suspend on entry to methods
  Throws:
    `CoreException` - if unable to set the property on this breakpoint's underlying marker

### setExit

    public void setExit(boolean exit)
                 throws CoreException

  Sets whether this breakpoint causes execution to suspend on exit of methods.

  Parameters:
    `exit` - whether this breakpoint causes execution to suspend on exit of methods
  Throws:
    `CoreException` - if unable to set the property on this breakpoint's underlying marker

### setNativeOnly

    public void setNativeOnly(boolean nativeOnly)
                       throws CoreException

  Sets whether this breakpoint causes execution to suspend only on entry/exit of native methods.

  Parameters:
    `nativeOnly` - whether this breakpoint causes execution to suspend only on entry/exit of native methods
  Throws:
    `CoreException` - if unable to set the property on this breakpoint's underlying marker

### isNativeOnly

    public boolean isNativeOnly()
                         throws CoreException

  Returns whether this breakpoint causes execution to suspend only on entry/exit of native methods.

  Returns:
    whether this breakpoint causes execution to suspend only on entry/exit of native methods
  Throws:
    `CoreException` - if unable to access the property on this breakpoint's underlying marker

### isEntrySuspend

    public boolean isEntrySuspend(IDebugTarget target)

  Returns whether this breakpoint last suspended in the given target due to a method entry (`true`) or exit (`false`).

  Returns:
    `true` if this breakpoint last suspended the given target due to a method entry; `false` if this breakpoint last suspended in the given target due to a method exit or if this breakpoint hasn't suspended the given target.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.